package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年11月12日 上午10:20:15 
 * 类说明 
 */
public class RandomBookReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="图书馆id",required=true)
	private String libId;
	@ApiModelProperty(name="bookSize",value="书籍数量",required=true)
	private Integer bookSize;

	@ApiModelProperty(name="gradeList",value="年级",required=false)
	private List<GradeReq> gradeList;

	@ApiModelProperty(name="themeList",value="主题",required=false)
	private List<ThemeReq> themeList;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public Integer getBookSize() {
		return bookSize;
	}

	public void setBookSize(Integer bookSize) {
		this.bookSize = bookSize;
	}

	public List<GradeReq> getGradeList() {
		return gradeList;
	}

	public void setGradeList(List<GradeReq> gradeList) {
		this.gradeList = gradeList;
	}

	public List<ThemeReq> getThemeList() {
		return themeList;
	}

	public void setThemeList(List<ThemeReq> themeList) {
		this.themeList = themeList;
	}
}
